Bug 159089 - BAD: Grub fails to read the grub.conf?
BAD: Grub fails to read the grub.conf?
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: grub (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
Mike McLean
Grub installs minimal bash line when ...
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-29 03:32 EDT by James Black
Modified: 2008-05-06 11:29 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:29:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Black 2005-05-29 03:32:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; rv:1.7.3) Gecko/20041020 Firefox/0.10.1

Description of problem:
Installing Fc4 rc3 from scrach on partition hda2 while Xp exists on hda1 the grub fails to load the boot menou on boot:

GNU GRUB  version 0.95  (640K lower / 3072K upper memory)

 [ Minimal BASH-like line editing is supported.  For the first word, TAB
   lists possible command completions.  Anywhere else TAB lists the possible
   completions of a device/filename.]

That's what I see when booting up!
I tryed booting on rescue mode and then 

chrooot /mnt/sysimage
grub-install /dev/hda

I see no change although /boot/grub.conf exists and the options are setup correctly...
It looks like grub can't read grub.conf or pass any changes made to it...



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Setup or have installed Xp on hda1
2.Install fc4 rc3 x64 on hda2 from dvd with grub enabled
3.bootup
  

Actual Results:  grub fails to install properly gives grub minimal bash like command line

Expected Results:  Grub boot up and give the boot options
Fedora
Other
or show a message that fedora will automaticly bootup in 5 secs

Additional info:
Comment 1 Edwin Olson 2005-06-20 12:10:25 EDT
I seem to have had the same problem. WinXP installed on hda, FC4 installed on
hdb. Grub installed on hda, but it does not automatically load grub.conf.

I could proceed by typing:

configfile /grub/grub.conf

So grub had correctly found /boot and mounted it as /, but still it couldn't
find the config file.

Per discussion on fedora-test-list, typing as root:

root (hd1,0)
setup (hd0)

Corrected the problem.

I suspect anaconda is not properly setting up grub on multi-disk systems where
FC is not on disk 1?
Comment 2 Edwin Olson 2005-06-20 12:11:05 EDT
Note that my configuration was FC4/x86, not x86_64.
Comment 3 Joshua Daniel Franklin 2005-06-22 12:20:26 EDT
For what it's worth, I had the same symptoms with FC4 final with
a kickstart file that told the bootloader the incorrect hard drive,
e.g.:

bootloader --location=mbr --driveorder=sda --append="rhgb quiet"
part /boot --fstype ext3 --size=100 --ondisk=hda
...

This was of course a cockpit error. I fixed it using the notes above.
Comment 4 Christian Iseli 2007-01-22 06:17:34 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 5 Edwin Olson 2007-01-22 06:32:00 EST
I had this problem again when I installed FC6/x86, so this bug should not be closed.
Comment 6 Matthew Miller 2007-04-06 11:05:14 EDT
Fedora Core 3 and Fedora Core 4 are no longer supported. If you could retest
this issue on a current release or on the latest development / test version, we
would appreciate that. Otherwise, this bug will be marked as CANTFIX one month
from now. Thanks for your help and for your patience.
Comment 7 Edwin Olson 2007-04-06 11:11:38 EDT
Matthew, please see my comment on 2007-01-22 confirming that the bug exists on FC6.

Comment 8 Matthew Miller 2007-04-06 11:24:12 EDT
Thank you; sorry for the run-around (there's a lot of old bugs like this that
need attention). Moving to FC6.
Comment 9 Bug Zapper 2008-04-03 21:56:51 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 10 Bug Zapper 2008-05-06 11:29:42 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.